<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_574e3b4e7087dab9ef32adbdaa6a972f.html">&lt;&lt; Image Block Processing</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_3ba7058e738fa302f12702588c6eea04.html">Image Linear Filtering &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; Image Enhancement and Restoration</span>

    <br /><br />
    <h3 class="title-part">Image Enhancement and Restoration</h3>
<ul class="list-chapter"><li><a href="imadjust.html" class="refentry">imadjust</a> &#8212; <span class="refentry-description">Adjust the intensity of an image from given source histogram range to the destination histogram range</span></li>





<li><a href="imdeconvl2.html" class="refentry">imdeconvl2</a> &#8212; <span class="refentry-description">Deconvolution with L2 Regularization</span></li>





<li><a href="imdeconvsobolev.html" class="refentry">imdeconvsobolev</a> &#8212; <span class="refentry-description">Deconvolution by Sobolev Regularization</span></li>





<li><a href="imdeconvwiener.html" class="refentry">imdeconvwiener</a> &#8212; <span class="refentry-description">Deconvolution with Wiener method</span></li>





<li><a href="imdecorrstretch.html" class="refentry">imdecorrstretch</a> &#8212; <span class="refentry-description">Apply decorrelation stretch to multichannel image</span></li>





<li><a href="imhistequal.html" class="refentry">imhistequal</a> &#8212; <span class="refentry-description">Histogram Equalization</span></li>





<li><a href="iminpaint.html" class="refentry">iminpaint</a> &#8212; <span class="refentry-description">Restores the selected region in an image using the region neighborhood</span></li>





<li><a href="immedian.html" class="refentry">immedian</a> &#8212; <span class="refentry-description">Image median filter</span></li>





<li><a href="imnoise.html" class="refentry">imnoise</a> &#8212; <span class="refentry-description">Add noise (gaussian, etc.) to an image</span></li>





<li><a href="imwiener2.html" class="refentry">imwiener2</a> &#8212; <span class="refentry-description">Wiener filter for image</span></li></ul>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_574e3b4e7087dab9ef32adbdaa6a972f.html">&lt;&lt; Image Block Processing</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_3ba7058e738fa302f12702588c6eea04.html">Image Linear Filtering &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
